#!/bin/sh

# no public repos for e2k for now, unfortunately
[ `arch` != "e2k" ] || exit 0

a= . install2-init-functions

#internet='no'
host='http://ftp.altlinux.org'


# Regexps from alterator-pkg
prefix_re="[[:space:]]*rpm[[:space:]]\+\([^[:space:]]\+[[:space:]]\+\)\?"
updates_re="${prefix_re}http://"
repo_source='/etc/apt/sources.list.d/alt.list'

repo_on()
{
	run_chroot sed "s,^#\(${updates_re}\),\1," -i $repo_source ||:
}

repo_off()
{
	run_chroot sed "s,^\(${updates_re}\),#\1," -i $repo_source ||:
}

cdrom_off()
{
	if [ -f $destdir/etc/apt/sources.list.d/sources.list ] ; then
	    # turn off cdrom repository
	    find $destdir/etc/apt/sources.list.d -type f -name \*.list | \
	    while read r
	    do
		sed -r -i '/^[[:space:]]*rpm[[:space:]]+cdrom:/s/^/#/' $r
	    done
	    # turn off cdrom mountpoint
	    sed '/[[:space:]]\/media\/cdrom[[:space:]]/s/^/#/' \
		    -i $destdir/etc/fstab ||:
	fi
}

# Detect working Internet connection
# curl --connect-timeout 10 "$host" >/dev/null 2>&1 && internet='yes'

# Make online repositories available
if test -f "$repo_source"
then
	repo_on
	cdrom_off
fi
